package com.ruoyi.common.enums;

public enum SysDeptEnum {

    //   部门状态（0正常 1停用）
    STATUS_VALID(0, "0正常"),
    STATUS_INVALID(1, "1停用"),


    //    1 职能部门 2 生产部门 3 其他
    TYPE_ZN(1, "职能部门"),

    TYPE_SC(2, "生产部门"),

    TYPE_OTHER(3, "其他");


    private final Integer value;
    private final String name;

    SysDeptEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
